## rocs 21.12.3

=== CMakeLists.txt ===
##
#   This file is part of Rocs.
#   SPDX-FileCopyrightText: 2008-2011 Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   SPDX-FileCopyrightText: 2010 Wagner Reck <wagner.reck@gmail.com>
#   SPDX-FileCopyrightText: 2011-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#   SPDX-License-Identifier: GPL-2.0-or-later
##

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

# KDE Application Version, managed by release script
set(RELEASE_SERVICE_VERSION_MAJOR "21")
set(RELEASE_SERVICE_VERSION_MINOR "12")
set(RELEASE_SERVICE_VERSION_MICRO "3")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(rocs LANGUAGES CXX VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION "5.15.0")
set(KF_MIN_VERSION "5.85.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMAddAppIcon)
include(ECMAddTests)
include(ECMInstallIcons)
include(ECMOptionalAddSubdirectory)
include(ECMSetupVersion)
include(FeatureSummary)
include(GenerateExportHeader)

find_package(Boost "1.49" REQUIRED)
find_package(Grantlee5 "5.0.0" REQUIRED)

if(BUILD_TESTING)
    set(QT_CONDITIONAL_COMPONENTS Test)
endif()

find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
    Core
    Gui
    QuickWidgets
    Script
    Widgets
    ScriptTools
    Svg
    XmlPatterns
    ${QT_CONDITIONAL_COMPONENTS}
)
find_package(KF5 ${KF_MIN_VERSION} REQUIRED COMPONENTS
    Archive
    Config
    CoreAddons
    Crash
    I18n
    ItemViews
    TextEditor
    XmlGui
)
find_package(KF5DocTools)

include_directories(
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_SOURCE_DIR}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIRS}
)

# added by KDE_COMPILERSETTINGS_LEVEL 5.85.0
remove_definitions(-DQT_NO_CAST_FROM_ASCII)
remove_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)

ecm_optional_add_subdirectory(libgraphtheory)
ecm_optional_add_subdirectory(src)
ecm_optional_add_subdirectory(icons)
if(KF5DocTools_FOUND)
    ecm_optional_add_subdirectory(doc)
endif()

ki18n_install(po)
if (KF5DocTools_FOUND)
    kdoctools_install(po)
endif()
set_package_properties(Boost PROPERTIES DESCRIPTION "Boost C++ Libraries" URL "https://www.boost.org")
feature_summary(WHAT ALL)

install(FILES org.kde.rocs.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== libgraphtheory/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

include(ECMMarkAsTest)

macro(GRAPHTHEORY_UNIT_TESTS)
   foreach(_testname ${ARGN})
      add_executable(${_testname} ${_testname}.cpp)
      add_test(NAME graphtheory-${_testname} COMMAND ${_testname})
      target_link_libraries(${_testname} rocsgraphtheory Qt5::Test Qt5::XmlPatterns )
      ecm_mark_as_test(${_testname})
   endforeach()
endmacro()

graphtheory_unit_tests(
   test_graphoperations
   test_kernel
   test_kernelscriptapi
)

=== libgraphtheory/tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

add_executable(scenetest
    scenetest.cpp
)

target_link_libraries(scenetest
    PUBLIC
        rocsgraphtheory
        Qt5::Core
        Qt5::Quick
        Qt5::Widgets
        KF5::I18n
)

=== libgraphtheory/fileformats/dot/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

set(dotformat_SRCS
    dotfileformat.cpp
    dotgrammar.cpp
    dotgrammarhelper.cpp
    ../../logging.cpp
)

# Boost requires exceptions
kde_source_files_enable_exceptions(dotgrammar.cpp)

kcoreaddons_add_plugin(dotfileformat SOURCES ${dotformat_SRCS} INSTALL_NAMESPACE "rocs/fileformats")

target_link_libraries(dotfileformat
    PUBLIC
        Qt5::Core
        Qt5::Gui
        KF5::I18n
        rocsgraphtheory
)

if(BUILD_TESTING)
    ecm_optional_add_subdirectory(autotests)
endif()

=== libgraphtheory/fileformats/rocs2/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

set(rocs2format_SRCS
    rocs2fileformat.cpp
    ../../logging.cpp
)

kcoreaddons_add_plugin(rocs2fileformat SOURCES ${rocs2format_SRCS} INSTALL_NAMESPACE "rocs/fileformats")

target_link_libraries(rocs2fileformat
    PUBLIC
        Qt5::Core
        Qt5::Gui
        KF5::I18n
        rocsgraphtheory
)

if(BUILD_TESTING)
    ecm_optional_add_subdirectory(autotests)
endif()

=== libgraphtheory/modifiers/autotests/CMakeLists.txt ===
#  SPDX-FileCopyrightText: 2020 Dilson Almeida Guimarães <dilsonguim@gmail.com>
#
#  SPDX-License-Identifier: LGPL-2.1-only OR LGPL-3.0-only OR LicenseRef-KDE-Accepted-LGPL

include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

#Gets graphs for the data-driven functionality test
file(COPY graphs DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

add_executable(TestForceBasedLayout
    testforcebasedlayout.cpp
)
add_test(NAME TestForceBasedLayout COMMAND TestForceBasedLayout)
ecm_mark_as_test(TestForceBasedLayout)
target_link_libraries(TestForceBasedLayout
    rocsgraphtheory
    Qt5::Test
)
target_compile_definitions(TestForceBasedLayout PRIVATE ADDITIONAL_PLUGIN_DIR="${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")


add_executable(TestRadialLayout
    testradiallayout.cpp
)
add_test(NAME TestRadialLayout COMMAND TestRadialLayout)
ecm_mark_as_test(TestRadialLayout)
target_link_libraries(TestRadialLayout
    rocsgraphtheory
    Qt5::Test
)
target_compile_definitions(TestRadialLayout PRIVATE ADDITIONAL_PLUGIN_DIR="${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")


add_executable(QualityBenchmark
    qualitybenchmark.cpp
    metricsummarizer.cpp
    layoutevaluator.cpp
)
target_link_libraries(QualityBenchmark
    rocsgraphtheory
)
target_compile_definitions(QualityBenchmark PRIVATE ADDITIONAL_PLUGIN_DIR="${CMAKE_BINARY_DIR}/bin/plugins")

=== libgraphtheory/fileformats/rocs1/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

# get generated *.json plugin file
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_executable(TestRocs1FileFormat
    testrocs1fileformat.cpp
    ../rocs1fileformat.cpp
    ../../../logging.cpp
)
add_test(NAME TestRocs1FileFormat COMMAND TestRocs1FileFormat)
ecm_mark_as_test(TestRocs1FileFormat)
target_link_libraries(TestRocs1FileFormat
    rocsgraphtheory
    Qt5::Test
)

=== libgraphtheory/fileformats/rocs2/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause
# get generated *.json plugin file

include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

file(COPY importtest_v1.graph2 DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_executable(TestRocs2FileFormat
    testrocs2fileformat.cpp
    ../rocs2fileformat.cpp
    ../../../logging.cpp
)
add_test(NAME TestRocs2FileFormat COMMAND TestRocs2FileFormat)
ecm_mark_as_test(TestRocs2FileFormat)
target_link_libraries(TestRocs2FileFormat
    rocsgraphtheory
    Qt5::Test
)

=== debian/changelog ===
rocs (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:20:28 +0000

rocs (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:27:03 +0000

rocs (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:34:54 +0000

rocs (4:21.12.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:31:55 +0000

rocs (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:14:34 +0000

rocs (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:27:18 +0000

rocs (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:33:37 +0000

rocs (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:49:29 +0000

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>,
Build-Depends: cmake (>= 3.3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.17.0~),
               gettext,
               libboost-dev (>= 1.49~),
               libboost-graph-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5archive-dev (>= 5.17.0~),
               libkf5config-dev (>= 5.17.0~),
               libkf5coreaddons-dev (>= 5.17.0~),
               libkf5crash-dev (>= 5.17.0~),
               libkf5doctools-dev (>= 5.17.0~),
               libkf5i18n-dev (>= 5.17.0~),
               libkf5itemviews-dev (>= 5.17.0~),
               libkf5texteditor-dev (>= 5.17.0~),
               libkf5xmlgui-dev (>= 5.17.0~),
               libqt5svg5-dev (>= 5.11.0~),
               libqt5xmlpatterns5-dev (>= 5.11.0~),
               pkg-kde-tools (>> 0.15.17.0),
               qtbase5-dev (>= 5.11.0~),
               qtdeclarative5-dev (>= 5.11.0~),
               qtscript5-dev (>= 5.11.0~),
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends},
 qml-module-qtqml-statemachine,
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:16.04.3-6~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_auto_install:
	dh_auto_install
	rm -rf debian/rocs/usr/include/
	find debian/rocs -name '*.so' -type l -delete

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

.PHONY: override_dh_auto_test

## rocs 22.08.1

=== debian/changelog ===
rocs (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:49:31 +0100

rocs (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:58:37 +0100

rocs (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:49 +0100

rocs (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:11:31 +0100

rocs (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:10:54 +0100

rocs (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:57:59 +0100

## rocs 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,15 +10,15 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "21")
+set(RELEASE_SERVICE_VERSION_MAJOR "22")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
 set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(rocs LANGUAGES CXX VERSION ${RELEASE_SERVICE_VERSION})
 
-set(QT_MIN_VERSION "5.15.0")
-set(KF_MIN_VERSION "5.85.0")
+set(QT_MIN_VERSION "5.15.2")
+set(KF_MIN_VERSION "5.90.0")
 
 find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
 
@@ -27,12 +27,14 @@
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings NO_POLICY_SCOPE)
+include(KDEClangFormat)
 
 include(ECMAddAppIcon)
 include(ECMAddTests)
 include(ECMInstallIcons)
 include(ECMOptionalAddSubdirectory)
 include(ECMSetupVersion)
+include(ECMEnableSanitizers)
 include(FeatureSummary)
 include(GenerateExportHeader)
 
@@ -43,7 +45,7 @@
     set(QT_CONDITIONAL_COMPONENTS Test)
 endif()
 
-find_package(Qt5 ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
+find_package(Qt${QT_MAJOR_VERSION} ${QT_MIN_VERSION} REQUIRED NO_MODULE COMPONENTS
     Core
     Gui
     QuickWidgets

=== libgraphtheory/fileformats/gml/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

# get generated *.json plugin file
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

file(COPY example.gml DESTINATION ${CMAKE_CURRENT_BINARY_DIR})

add_executable(TestGmlFileFormat
    testgmlfileformat.cpp
    ../gmlgrammar.cpp
    ../gmlgrammarhelper.cpp
    ../gmlfileformat.cpp
    ../../../logging.cpp
)
add_test(NAME TestGmlFileFormat COMMAND TestGmlFileFormat)
ecm_mark_as_test(TestGmlFileFormat)
target_link_libraries(TestGmlFileFormat
    rocsgraphtheory
    Qt::Test
)

# Boost::spirit requires exceptions
kde_target_enable_exceptions(TestGmlFileFormat PRIVATE)

=== debian/changelog ===
rocs (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:06 +0100

rocs (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:41:25 +0100

rocs (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:05:04 +0100

rocs (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:10 +0100

rocs (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Drop kde-l10n migration rules, not needed anymore.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.
  * Review copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 07 Apr 2022 23:32:47 +0200

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libboost-dev (>= 1.49~),
               libboost-graph-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.17.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5itemviews-dev (>= 5.90.0~),
               libkf5texteditor-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               pkg-kde-tools (>> 0.15.17.0),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/rocs.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/rocs

Package: rocs
Architecture: any
Section: math
Depends: qml-module-qtqml-statemachine, ${misc:Depends}, ${shlibs:Depends},
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

## rocs 23.04.0

=== debian/changelog ===
rocs (4:23.04.0-0xneon+22.04+jammy+release+build15) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 21:56:30 +0000

rocs (4:23.04.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2023 16:40:10 +0000

rocs (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:58:38 +0000

rocs (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 18:35:59 +0000

rocs (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 17:11:06 +0000

rocs (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 13:17:45 +0000

rocs (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 10:38:35 +0000

rocs (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:54:53 +0000

rocs (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 13:25:50 +0000

rocs (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:50:10 +0000

rocs (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 14:45:46 +0000

rocs (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 14:00:29 +0000

rocs (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 12:07:09 +0000

rocs (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jan 2022 11:05:43 +0000

rocs (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:18:10 +0000

rocs (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:35:33 +0000

rocs (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:47:01 +0000

rocs (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021.12.20:20 +0000

rocs (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 14:26:08 +0000

rocs (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:59:55 +0000

rocs (4:21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:27:50 +0000

rocs (4:20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 13:05:12 +0000

rocs (4:20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:16:16 +0000

rocs (4:20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:46 +0000

rocs (4:20.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Dec 2020 13:39:08 +0000

rocs (4:20.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 06 Nov 2020 07:14:05 +0000

rocs (4:20.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Oct 2020 10:33:31 +0000

rocs (4:20.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 02 Sep 2020 11:34:03 +0000

rocs (4:20.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Aug 2020 09:23:35 +0000

rocs (4:20.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jul 2020 09:42:26 +0000

rocs (4:20.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 17 May 2020 22:30:11 +0000

rocs (4:20.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 21 Apr 2020 17:52:40 +0000

rocs (4:19.12.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 04 Mar 2020 11:07:25 +0000

rocs (4:19.12.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Feb 2020 13:47:12 +0000

rocs (4:19.12.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Jan 2020 17:16:49 +0000

rocs (4:19.12.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2019 18:55:45 +0000

rocs (4:19.08.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Nov 2019 10:16:59 +0000

rocs (4:19.08.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 09 Oct 2019 18:14:59 +0000

rocs (4:19.08.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Sep 2019 14:29:44 +0000

rocs (4:19.08.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 13 Aug 2019 13:26:51 +0000

rocs (4:19.04.3-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jul 2019 11:38:17 +0000

rocs (4:19.04.2-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 06 Jun 2019 10:07:19 +0000

rocs (4:19.04.1-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 May 2019 06:29:30 +0000

rocs (4:19.04.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Apr 2019 14:16:53 +0000

=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus,
         libgl1-mesa-dri,
         xauth,
         xserver-xephyr,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed

## rocs 23.04.1

=== debian/changelog ===
rocs (4:23.04.1-0xneon+22.04+jammy+release+build17) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 11 May 2023 13:12:12 +0000

rocs (4:23.04.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 May 2023 19:29:18 +0000

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Uploaders: Eshat Cakar <info@eshat.de>,
           Pino Toscano <pino@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0.0~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.15.0~),
               libboost-dev (>= 1.49~),
               libboost-graph-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5archive-dev (>= 5.15~),
               libkf5config-dev (>= 5.15~),
               libkf5coreaddons-dev (>= 5.15~),
               libkf5crash-dev (>= 5.15~),
               libkf5declarative-dev (>= 5.15~),
               libkf5doctools-dev (>= 5.7~),
               libkf5i18n-dev (>= 5.15~),
               libkf5itemviews-dev (>= 5.15~),
               libkf5syntaxhighlighting-dev (>= 5.78.0~),
               libkf5texteditor-dev (>= 5.78.0~),
               libkf5xmlgui-dev (>= 5.15~),
               libqt5svg5-dev (>= 5.4),
               libqt5webkit5-dev (>= 5.4),
               libqt5xmlpatterns5-dev (>= 5.4),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.4),
               qtdeclarative5-dev (>= 5.4),
               qtscript5-dev (>= 5.4)
Standards-Version: 4.1.1
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: https://invent.kde.org/neon/kde/rocs.git
Vcs-Browser: https://invent.kde.org/neon/kde/rocs
Maintainer: Neon CI <neon@kde.org>

Package: rocs
Architecture: any
Section: math
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

## rocs 23.04.2

=== debian/changelog ===
rocs (4:23.04.2-0xneon+22.04+jammy+release+build18) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 07:34:45 +0000

rocs (4:23.04.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:08:55 +0000

## rocs 23.04.3

=== debian/changelog ===
rocs (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:59:04 +0100

rocs (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 12:03:52 +0100

rocs (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:47:05 +0000

rocs (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:31:22 -0600

rocs (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jan 2023 11:22:16 +0000

rocs (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Dec 2022 10:24:38 +0000

rocs (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:19:05 +0000

rocs (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:15:15 +0000

rocs (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:56:58 +0000

rocs (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:17:56 +0000

## rocs 23.08.1

=== debian/changelog ===
rocs (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:08:04 +0100

rocs (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:02:57 +0100

rocs (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:42:22 +0100

## rocs 23.08.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "22")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "23")
+set(RELEASE_SERVICE_VERSION_MINOR "08")
+set(RELEASE_SERVICE_VERSION_MICRO "5")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(rocs LANGUAGES CXX VERSION ${RELEASE_SERVICE_VERSION})

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

include(ECMInstallIcons)

ecm_install_icons( ICONS
  128-apps-rocs.png  16-apps-rocs.png  22-apps-rocs.png  32-apps-rocs.png  48-apps-rocs.png  64-apps-rocs.png
  sc-apps-rocs.svgz

  sc-actions-rocsdelete.svgz
  sc-actions-rocsedge.svgz
  sc-actions-rocsnode.svgz
  sc-actions-rocsselect.svgz

  sc-actions-rocsbidirectional.svgz
  sc-actions-rocsunidirectional.svgz

  sc-actions-rocsadvancedsetup.svgz
  sc-actions-rocsvisible.svgz

  sc-actions-rocsaligntree.svgz
  sc-actions-rocsaligncircle.svgz
  sc-actions-rocsalignbottom.svgz
  sc-actions-rocsalignmiddle.svgz
  sc-actions-rocsalignleft.svgz
  sc-actions-rocsalignright.svgz
  sc-actions-rocsaligntop.svgz
  sc-actions-rocsalignvmiddle.svgz

  DESTINATION ${KDE_INSTALL_ICONDIR}
  THEME hicolor
)

target_sources(rocsgraphtheory PRIVATE
	icons.qrc
)

=== src/CMakeLists.txt ===
##
#   This file is part of Rocs.
#   SPDX-FileCopyrightText: 2008-2011 Tomaz Canabrava <tomaz.canabrava@gmail.com>
#   SPDX-FileCopyrightText: 2010-2012 Wagner Reck <wagner.reck@gmail.com>
#   SPDX-FileCopyrightText: 2011-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
#   SPDX-License-Identifier: GPL-2.0-or-later
##

add_definitions(-DTRANSLATION_DOMAIN=\"rocs\")

ecm_setup_version(${RELEASE_SERVICE_VERSION}
    VARIABLE_PREFIX ROCS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/rocsversion.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/RocsConfigVersion.cmake"
)

ecm_optional_add_subdirectory(plugins)

include_directories(
    ./
)

set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})

add_executable(rocs)

target_sources(rocs PRIVATE
    ui/journalwidget.cpp
    ui/sidedockwidget.cpp
    ui/fileformatdialog.cpp
    ui/mainwindow.cpp
    ui/codeeditorwidget.cpp
    ui/documenttypeswidget.cpp
    ui/grapheditorwidget.cpp
    ui/nodetypesdelegate.cpp
    ui/edgetypesdelegate.cpp
    ui/scriptoutputwidget.cpp
    project/project.cpp
    plugins/scriptapi/scriptapiwidget.cpp
    plugins/scriptapi/object.cpp
    plugins/scriptapi/property.cpp
    plugins/scriptapi/method.cpp
    plugins/scriptapi/parameter.cpp
    plugins/scriptapi/scriptapimanager.cpp
    plugins/scriptapi/scriptapimodel.cpp
    main.cpp
)

ki18n_wrap_ui(rocs
    ui/journalwidget.ui
    ui/scriptoutputwidget.ui
    plugins/scriptapi/scriptapiwidget.ui
)

kconfig_add_kcfg_files(rocs settings.kcfgc)

# add icon to executable on windows and mac
ecm_add_app_icon(rocs
    ICONS
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/16-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/22-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/32-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/48-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/64-apps-rocs.png
    ${CMAKE_CURRENT_SOURCE_DIR}/../icons/128-apps-rocs.png
)

target_link_libraries(rocs
    PUBLIC
        rocsgraphtheory
        Grantlee5::Templates
        KF5::Archive
        KF5::CoreAddons
        KF5::Crash
        KF5::I18n
        KF5::ItemViews
        KF5::Parts
        KF5::TextEditor
        Qt::Core
        Qt::Quick
        Qt::QuickWidgets
        Qt::XmlPatterns
)

################## INSTALLS ##########################
install(TARGETS rocs ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(PROGRAMS org.kde.rocs.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES rocsui.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/rocs)
install(FILES rocs.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})

ecm_optional_add_subdirectory(plugins/scriptapi)

if(BUILD_TESTING)
    ecm_optional_add_subdirectory(autotests)
endif()

=== libgraphtheory/fileformats/gml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

set(gmlformat_SRCS
    gmlfileformat.cpp
    gmlgrammar.cpp
    gmlgrammarhelper.cpp
    ../../logging.cpp
)

kcoreaddons_add_plugin(gmlfileformat SOURCES ${gmlformat_SRCS} INSTALL_NAMESPACE "rocs/fileformats")

target_link_libraries(gmlfileformat
    PUBLIC
        Qt::Core
        Qt::Gui
        KF5::I18n
        rocsgraphtheory
)

# Boost::spirit requires exceptions
kde_target_enable_exceptions(gmlfileformat PRIVATE)

if(BUILD_TESTING)
    ecm_optional_add_subdirectory(autotests)
endif()

=== libgraphtheory/fileformats/rocs1/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -15,5 +15,5 @@
 ecm_mark_as_test(TestRocs1FileFormat)
 target_link_libraries(TestRocs1FileFormat
     rocsgraphtheory
-    Qt5::Test
+    Qt::Test
 )

=== debian/changelog ===
rocs (4:23.08.5-0ubuntu4) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5gui5t64,
    libqt5widgets5t64, libqt5xml5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:49:08 +0200

rocs (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:10:18 +0000

rocs (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 07:00:56 +0000

rocs (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 10:32:20 -0700

rocs (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:24:16 +0000

rocs (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:44:43 +0000

rocs (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:41:03 +0100

=== debian/control ===
Source: rocs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
           Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.90.0~),
               gettext,
               libboost-dev (>= 1.49~),
               libboost-graph-dev,
               libgrantlee5-dev (>= 5.0.0~),
               libkf5archive-dev (>= 5.90.0~),
               libkf5config-dev (>= 5.90.0~),
               libkf5coreaddons-dev (>= 5.90.0~),
               libkf5crash-dev (>= 5.90.0~),
               libkf5doctools-dev (>= 5.17.0~),
               libkf5i18n-dev (>= 5.90.0~),
               libkf5itemviews-dev (>= 5.90.0~),
               libkf5texteditor-dev (>= 5.90.0~),
               libkf5xmlgui-dev (>= 5.90.0~),
               libqt5svg5-dev (>= 5.15.2~),
               libqt5xmlpatterns5-dev (>= 5.15.2~),
               pkg-kde-tools (>> 0.15.17.0),
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               qtscript5-dev (>= 5.15.2~),
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs

Package: rocs
Architecture: any
Section: math
Depends: qml-module-qtqml-statemachine, ${misc:Depends}, ${shlibs:Depends}
Description: graph theory IDE
 Rocs aims to be a Graph Theory IDE for helping professors to show the results
 of a graph algorithm and also helping students to do the algorithms.
 .
 Rocs has a scripting module, done in Qt Script, that interacts with the drawn
 graph and every change in the graph with the script is reflected on the drawn
 one.
 .
 This package is part of the KDE education module.

## rocs 24.12.0

=== debian/changelog ===
rocs (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Bump Standards-Version to 4.7.0, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 24 Dec 2024 00:47:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: rocs
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
@@ -28,16 +27,16 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/rocs
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/rocs.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/rocs
 
 Package: rocs
 Architecture: any
 Section: math
-Depends: qml-module-qtqml-statemachine, ${misc:Depends}, ${shlibs:Depends}
+Depends: qml-module-qtqml-statemachine, ${misc:Depends}, ${shlibs:Depends},
 Description: graph theory IDE
  Rocs aims to be a Graph Theory IDE for helping professors to show the results
  of a graph algorithm and also helping students to do the algorithms.

## rocs 24.12.1

=== debian/changelog ===
rocs (4:24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:41:30 +0000

rocs (4:24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:25:53 +0000

rocs (4:24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:16:58 +0000

rocs (4:24.11.80-0ubuntu1) plucky; urgency=medium

  * New upstream (beta) release (24.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 24 Nov 2024 13:19:32 +0000

## rocs 24.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "23")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "5")
+set(RELEASE_SERVICE_VERSION_MAJOR "24")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "3")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(rocs LANGUAGES CXX VERSION ${RELEASE_SERVICE_VERSION})

=== libgraphtheory/tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,8 +9,8 @@
 target_link_libraries(scenetest
     PUBLIC
         rocsgraphtheory
-        Qt5::Core
-        Qt5::Quick
-        Qt5::Widgets
+        Qt::Core
+        Qt::Quick
+        Qt::Widgets
         KF5::I18n
 )

=== libgraphtheory/modifiers/autotests/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
 ecm_mark_as_test(TestForceBasedLayout)
 target_link_libraries(TestForceBasedLayout
     rocsgraphtheory
-    Qt5::Test
+    Qt::Test
 )
 target_compile_definitions(TestForceBasedLayout PRIVATE ADDITIONAL_PLUGIN_DIR="${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")
 
@@ -26,7 +26,7 @@
 ecm_mark_as_test(TestRadialLayout)
 target_link_libraries(TestRadialLayout
     rocsgraphtheory
-    Qt5::Test
+    Qt::Test
 )
 target_compile_definitions(TestRadialLayout PRIVATE ADDITIONAL_PLUGIN_DIR="${CMAKE_LIBRARY_OUTPUT_DIRECTORY}")

=== libgraphtheory/fileformats/tikz/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

# get generated *.json plugin file
include_directories(${CMAKE_CURRENT_BINARY_DIR}/../)

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
add_executable(TestTikzFileFormat
    testtikzfileformat.cpp
    ../tikzfileformat.cpp
    ../../../logging.cpp
)
add_test(NAME TestTikzFileFormat COMMAND TestTikzFileFormat)
ecm_mark_as_test(TestTikzFileFormat)
target_link_libraries(TestTikzFileFormat
    rocsgraphtheory
    Qt::Test
)

=== debian/changelog ===
rocs (4:24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:51:47 +0000

rocs (4:24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:24:30 +0000

## rocs 25.04.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,9 +10,9 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 # KDE Application Version, managed by release script
-set(RELEASE_SERVICE_VERSION_MAJOR "24")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MAJOR "25")
+set(RELEASE_SERVICE_VERSION_MINOR "04")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(rocs LANGUAGES CXX VERSION ${RELEASE_SERVICE_VERSION})

=== libgraphtheory/fileformats/tikz/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2012-2014 Andreas Cord-Landwehr <cordlandwehr@kde.org>
#
# SPDX-License-Identifier: BSD-2-Clause

set(tikzformat_SRCS
    tikzfileformat.cpp
    ../../logging.cpp
)

kcoreaddons_add_plugin(tikzfileformat SOURCES ${tikzformat_SRCS} INSTALL_NAMESPACE "rocs/fileformats")

target_link_libraries(tikzfileformat
    rocsgraphtheory
)

if(BUILD_TESTING)
    ecm_optional_add_subdirectory(autotests)
endif()

=== debian/changelog ===
rocs (4:25.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (25.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.
  * Remove inactive uploaders.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 17 Apr 2025 22:24:00 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,9 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
-           Norbert Preining <norbert@preining.info>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 5.90.0~),
                gettext,
                libboost-dev (>= 1.49~),
@@ -27,9 +26,9 @@
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev (>= 5.15.2~),
                qtscript5-dev (>= 5.15.2~),
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
-Homepage: https://projects.kde.org/projects/kde/kdeedu/rocs
+Homepage: https://edu.kde.org/rocs/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/rocs.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/rocs

## rocs 25.04.3

=== debian/changelog ===
rocs (4:25.04.3-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sun, 06 Jul 2025 14:29:15 +0000

rocs (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 13:07:00 +0000

rocs (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:19:40 +0000

rocs (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:57:10 +0000

rocs (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:14:57 +0000

rocs (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 15:45:47 +0000

rocs (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:10:27 +0000

rocs (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:04:54 +0000

rocs (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:57:40 +0000

rocs (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:21:44 +0000

rocs (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 22:45:28 +0000

rocs (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:17:10 +0000

rocs (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:09:10 +0000

rocs (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:51:33 +0000

rocs (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:08:38 +0000

rocs (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:52:59 +0000

rocs (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:41:42 +0000

rocs (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 17:21:14 +0000

rocs (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 17:36:53 +0000

rocs (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:59:00 +0000

rocs (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 01:45:31 +0000

rocs (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 10:30:01 +0000

rocs (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 06:08:55 +0000
